%
%  This should be used to byte compile files in JED_LIBRARY for
%  fast loading.  This may be performed in batch mode as:
%
%      jed -batch -n -l bytecomp.sl
%
%

Null_String;             % a marker

% list of file to byte compile:

. "menu.sl" "dired.sl" "util.sl" "tmisc.sl" "cmisc.sl" "ispell.sl"
. "help.sl" "cal.sl" "man.sl" "fortran.sl" "dcl.sl" "shell.sl" "most.sl"
. "info.sl" "ispell.sl" "sort.sl" "regexp.sl" "wordstar.sl" 
. "linux.sl" "mini.sl" "edt.sl" "emacs.sl" "site.sl"

define jed_byte_compile_file(f)
{
   variable file;
   
   file = expand_jedlib_file(f);
   if (strlen(file)) 
     {
	flush(strcat("Processing ", file));
	byte_compile_file(file);
     }
   else flush(strcat(f, " not found-- Skipped."));
}

while (dup(), strlen(())) jed_byte_compile_file(());
pop();
exit_jed();


   
